   16      READ (5, 10)    TOP, BOTTOM, HEIGHT
   10      FORMAT (F5.2, F5.2, F5.2)
           IF (BOTTOM .EQ. 0)  GO TO 39
   11      FORMAT (1X, A15, F10.2)
           WRITE (6, 11) ' the top is ', TOP
           WRITE (6, 11)  ' the bottom is ', BOTTOM
           WRITE (6, 11)  ' the height is ', HEIGHT
           AREA  = .5 *(BOTTOM+TOP) * HEIGHT
           WRITE (6, 25)  area
  25       FORMAT (1X, ' The area of the trapezoid is ' , F10.2)
           GO TO 16
   39      WRITE (6, 78)  'This program has ended successfully'
  78       FORMAT (1x,A40)
           STOP
           END
